Bug 313005 - Some links are opened in a new window instead of a new tab with QtWebkit 2.3
Summary: Some links are opened in a new window instead of a new tab with QtWebkit 2.3
Status: RESOLVED FIXED
Alias: None
Product: kwebkitpart
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: webkit-devel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-10 10:33 UTC by Antonio Rojas
Modified: 2013-05-17 22:45 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.3 branch


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Rojas 2013-01-10 10:33:58 UTC
Using latest git master. The option "open links in new tab instead of new window" is active in konqueror. Some links open in a new window rather than in a new tab, when using QtWebkit 2.3. It works fine with QtWebkit 2.2.

Reproducible: Always

Steps to Reproduce:
Open Google Reader in konqueror with kwebkitpart, click on a news item headline

Actual Results:  
The link opens in a new window

Expected Results:  
The link opens in a new tab
Comment 1 Rishubh Jain 2013-01-10 12:45:24 UTC
This bug is confirmed using QTwebkit 2.3...it was reproduced using the same version...

Steps to reproduce
1) change your settings to "open links in new tan"
2) Open Google Reader in konqueror with kwebkitpart, click on a news item headline

this bug is unique
Comment 2 Dawit Alemayehu 2013-01-11 13:12:13 UTC
I am aware of this issue and will be investigating it shortly. The same thing happens in gmail as well.
Comment 3 Dawit Alemayehu 2013-02-23 16:40:57 UTC
Git commit d786bbdcb48634777809461b4900ab309b9f690f by Dawit Alemayehu.
Committed on 23/02/2013 at 17:27.
Pushed by adawit into branch '1.3'.

Workaround QtWebKit 2.3's behavior change when emitting 'QWebPage::geometryChangeRequested'.
For some reason it now sends a default width and height of 100 on new window creation even
when the site did not specify those dimensions.

NOTE: This workaround will cause a regression if a site attempts to create a popup window
using Javascripts with the following parameters: x=0,y=0,width=100,height=100. Under that
circumstance, the window will end up being created as another tab in konqueror instead of
a popup window.
FIXED-IN: 1.3 branch

M  +21   -1    src/webpage.cpp

http://commits.kde.org/kwebkitpart/d786bbdcb48634777809461b4900ab309b9f690f
Comment 4 Allan Sandfeld 2013-02-23 17:21:22 UTC
There is a patch for that, that will go into QtWebKit 2.3 soon.
Comment 5 Allan Sandfeld 2013-02-24 14:05:01 UTC
(In reply to comment #4)
> There is a patch for that, that will go into QtWebKit 2.3 soon.

Merged to qtwebkit-2.3-staging and will be in RC1.
Comment 6 Dawit Alemayehu 2013-02-24 19:52:52 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > There is a patch for that, that will go into QtWebKit 2.3 soon.
> 
> Merged to qtwebkit-2.3-staging and will be in RC1.

Great. I revert the workaround commit once 2.3 is released. Thanks.
Comment 7 Rex Dieter 2013-05-17 13:49:10 UTC
per comment #6, qtwebkit-2.3.0 (and 2.3.1) have been released in the meantime, so time to revert?  (I see it not reverted yet, at least in kwebkitpart 1.3 branch)
Comment 8 Dawit Alemayehu 2013-05-17 22:45:37 UTC
Git commit 4a1fc31ce7d2af7eb5469868acd3d09723959e91 by Dawit Alemayehu.
Committed on 18/05/2013 at 00:38.
Pushed by adawit into branch '1.3'.

Reverted commit d786bbdc which was a workaround for behavior change in
QtWebKit 2.3 beta releases. The issue has been corrected in the final
QtWebKit 2.3 release.

M  +0    -21   src/webpage.cpp

http://commits.kde.org/kwebkitpart/4a1fc31ce7d2af7eb5469868acd3d09723959e91